exception Class Reference

Public Member Functions | Friends
exception Class Reference

`#include <exception.h>`

Inheritance diagram for exception:

## Public Member Functions
af_err | err ()
| exception ()
| exception (const char *msg)
| exception (const char *file, unsigned line, af_err err)
| exception (const char *msg, const char *file, unsigned line, af_err err)
| exception (const char *msg, const char *func, const char *file, unsigned line, af_err err)
virtual | ~exception () throw ()
virtual const char * | what () const throw ()

## Friends
std::ostream & | operator<< (std::ostream &s, const exception &e)

## Detailed Description

Examples:
  benchmarks/blas.cpp, benchmarks/fft.cpp, benchmarks/pi.cpp, computer_vision/fast.cpp, computer_vision/harris.cpp, computer_vision/matching.cpp, computer_vision/susan.cpp, financial/black_scholes_options.cpp, financial/heston_model.cpp, financial/monte_carlo_options.cpp, getting_started/convolve.cpp, getting_started/integer.cpp, getting_started/rainfall.cpp, getting_started/vectorize.cpp, graphics/conway.cpp, graphics/conway_pretty.cpp, graphics/field.cpp, graphics/fractal.cpp, graphics/gravity_sim.cpp, graphics/histogram.cpp, graphics/plot2d.cpp, graphics/plot3.cpp, graphics/surface.cpp, helloworld/helloworld.cpp, image_processing/adaptive_thresholding.cpp, image_processing/binary_thresholding.cpp, image_processing/brain_segmentation.cpp, image_processing/edge.cpp, image_processing/filters.cpp, image_processing/image_demo.cpp, image_processing/image_editing.cpp, image_processing/morphing.cpp, image_processing/optical_flow.cpp, image_processing/pyramids.cpp, lin_algebra/cholesky.cpp, lin_algebra/lu.cpp, lin_algebra/qr.cpp, lin_algebra/svd.cpp, machine_learning/bagging.cpp, machine_learning/deep_belief_net.cpp, machine_learning/kmeans.cpp, machine_learning/knn.cpp, machine_learning/logistic_regression.cpp, machine_learning/naive_bayes.cpp, machine_learning/neural_network.cpp, machine_learning/perceptron.cpp, machine_learning/rbm.cpp, machine_learning/softmax_regression.cpp, pde/swe.cpp, and unified/basic.cpp.

## Constructor & Destructor Documentation

## § exception() [1/5]

exception | ( |  | ) |

## § exception() [2/5]

exception | ( | const char * | msg | ) |

## § exception() [3/5]

exception | ( | const char * | file,
|  | unsigned | line,
|  | af_err | err
| ) |  |

## § exception() [4/5]

exception | ( | const char * | msg,
|  | const char * | file,
|  | unsigned | line,
|  | af_err | err
| ) |  |

## § exception() [5/5]

exception | ( | const char * | msg,
|  | const char * | func,
|  | const char * | file,
|  | unsigned | line,
|  | af_err | err
| ) |  |

## § ~exception()

virtual ~exception | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

## Member Function Documentation

## § err()

af_err err | ( |  | ) |
| inline

## § what()

virtual const char* what | ( |  | ) | const
throw | ( |
| ) |  |
| inlinevirtual

Examples:
  benchmarks/blas.cpp, benchmarks/fft.cpp, benchmarks/pi.cpp, computer_vision/fast.cpp, computer_vision/harris.cpp, computer_vision/matching.cpp, computer_vision/susan.cpp, financial/black_scholes_options.cpp, financial/heston_model.cpp, financial/monte_carlo_options.cpp, getting_started/convolve.cpp, getting_started/integer.cpp, getting_started/rainfall.cpp, getting_started/vectorize.cpp, graphics/conway.cpp, graphics/conway_pretty.cpp, graphics/field.cpp, graphics/fractal.cpp, graphics/gravity_sim.cpp, graphics/histogram.cpp, graphics/plot2d.cpp, graphics/plot3.cpp, graphics/surface.cpp, helloworld/helloworld.cpp, image_processing/adaptive_thresholding.cpp, image_processing/binary_thresholding.cpp, image_processing/brain_segmentation.cpp, image_processing/edge.cpp, image_processing/filters.cpp, image_processing/image_demo.cpp, image_processing/image_editing.cpp, image_processing/morphing.cpp, image_processing/optical_flow.cpp, image_processing/pyramids.cpp, lin_algebra/cholesky.cpp, lin_algebra/lu.cpp, lin_algebra/qr.cpp, lin_algebra/svd.cpp, machine_learning/bagging.cpp, machine_learning/deep_belief_net.cpp, machine_learning/kmeans.cpp, machine_learning/knn.cpp, machine_learning/logistic_regression.cpp, machine_learning/naive_bayes.cpp, machine_learning/neural_network.cpp, machine_learning/perceptron.cpp, machine_learning/rbm.cpp, machine_learning/softmax_regression.cpp, pde/swe.cpp, and unified/basic.cpp.

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | s,
|  | const exception & | e
| ) |  |
| friend

The documentation for this class was generated from the following file:

- exception.h